# List

Launch stage: GA

`GET /api/2.0/data-sharing/recipients/{recipient_name}/federation-policies`

Lists federation policies for an OIDC_FEDERATION recipient for sharing data from <Databricks> to non-<Databricks> recipients.
 The caller must have read access to the recipient.

API scopes: sharing

## Path parameters

- `recipient_name` (string, optional)
  Name of the recipient. This is the name of the recipient for which the policies are being listed.

## Query parameters

- `max_results` (int32, optional)
- `page_token` (string, optional)

## Returns

Returns a list of FederationPolicy objects.

## Response

```json
{
  "policies": [
    {
      "name": "my-federation-policy1",
      "oidc_policy": {},
      "create_time": "string",
      "comment": "My federation policy description.",
      "update_time": "string",
      "id": "string"
    }
  ],
  "next_page_token": "string"
}
```

